//importing d3.geoPath() to display geographic data
import { geoPath } from 'd3';

//using 'geoAlbersUsaTerritories()' function as a geo-projection to display the 50 states of the USA
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);

//the following statements exports a const declaration
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path
        key={feature.id}
        className="land"
        d={path(feature)}
        data-tooltip={`${feature.properties.name}\n${feature.properties.data ? feature.properties.data[0].Mortality : 'No data'}`}
      />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
